
Cook: electric-fence 2.2.5
================================================================================
QA: checking package receipt...
Extracting source archive "electric-fence_2.2.5.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -mindirect-branch=thunk
CXXLAGS  : -march=i486 -Os -pipe -mindirect-branch=thunk
CPPFLAGS : -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

cc -O2 -fno-builtin-malloc -g -Wall -DUSE_SEMAPHORE -fPIC -D_GLIBCXX_USE_C99_MATH=1 -c efence.c -o efence.o
cc -O2 -fno-builtin-malloc -g -Wall -DUSE_SEMAPHORE -fPIC -D_GLIBCXX_USE_C99_MATH=1 -c page.c -o page.o
cc -O2 -fno-builtin-malloc -g -Wall -DUSE_SEMAPHORE -fPIC -D_GLIBCXX_USE_C99_MATH=1 -c print.c -o print.o
cc -O2 -fno-builtin-malloc -g -Wall -DUSE_SEMAPHORE -fPIC -D_GLIBCXX_USE_C99_MATH=1 -c tstheap.c -o tstheap.o
cc -O2 -fno-builtin-malloc -g -Wall -DUSE_SEMAPHORE -fPIC -D_GLIBCXX_USE_C99_MATH=1 -c eftest.c -o eftest.o
print.c: In function 'EF_Printv':
print.c:74:12: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
     (void) write(2, &c, 1);
            ^~~~~~~~~~~~~~~
print.c:95:13: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
      (void) write(2, string, length);
             ^~~~~~~~~~~~~~~~~~~~~~~~
print.c:104:7: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
       write(2, &c, 1);
       ^~~~~~~~~~~~~~~
print.c:117:13: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
      (void) write(2, &c, 1);
             ^~~~~~~~~~~~~~~
print.c:128:11: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
    (void) write(2, &c, 1);
           ^~~~~~~~~~~~~~~
print.c: In function 'printNumber':
print.c:58:3: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
   write(2, s, size);
   ^~~~~~~~~~~~~~~~~
eftest.c: In function 'main':
eftest.c:225:4: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
    write(2, failedTest, sizeof(failedTest) - 1);
    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
eftest.c:226:4: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
    write(2, diag->explanation, strlen(diag->explanation));
    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
eftest.c:227:4: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
    write(2, &newline, 1);
    ^~~~~~~~~~~~~~~~~~~~~
page.c: In function 'stringErrorReport':
page.c:46:9: warning: returning 'int' from a function with return type 'const char *' makes pointer from integer without a cast [-Wint-conversion]
  return strerror_r(errno,(char *)err_message,128);
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
rm -f libefence.a
cc -shared -Wl,-soname,libefence.so.0 -o libefence.so.0.0 \
	-O2 -fno-builtin-malloc -g -Wall -DUSE_SEMAPHORE -fPIC efence.o page.o print.o -lpthread -lc 
ar crv libefence.a efence.o page.o print.o
a - efence.o
a - page.o
a - print.o
rm -f tstheap
rm -f eftest
cc -O2 -fno-builtin-malloc -g -Wall -DUSE_SEMAPHORE -fPIC tstheap.o libefence.a -o tstheap -lpthread
cc -O2 -fno-builtin-malloc -g -Wall -DUSE_SEMAPHORE -fPIC eftest.o libefence.a -o eftest -lpthread

Testing Electric Fence.
After the last test, it should print that the test has PASSED.
./eftest

  Electric Fence 2.2 Copyright (C) 1987-1999 Bruce Perens <bruce@perens.com>
./tstheap 3072

  Electric Fence 2.2 Copyright (C) 1987-1999 Bruce Perens <bruce@perens.com>

Electric Fence confidence test PASSED.

================================================================================

Executing strip on all files...                                        Done
  Time: 0.28s. Size: 156230 B -> 57558 B. Save: 96 KB.
================================================================================


Pack: electric-fence 2.2.5
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Determining package architecture...                                    i486
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "electric-fence-2.1.13-i486.tazpkg"               Done
The release checksum has changed.
================================================================================
Package "electric-fence-2.2.5-i486.tazpkg" created


Post-check
================================================================================
Checking build...                                                      Done
Checking 'any' arch...                                                 Done
Checking libtool in source/electric-fence-2.2.5...                     Done
Checking site script in source/electric-fence-2.2.5...                 Done
Checking ownership in install...                                       Done
Checking permissions in install...                                     Done
Checking broken symlinks in install...                                 Done
Querying Repology...                                                   Done
Updating activity log...                                               Done
================================================================================


Summary for: electric-fence 2.2.5
================================================================================
Src file    : electric-fence_2.2.5.tar.gz
Src size    : 32.0K
Source dir  : 456.0K
Produced    : 80.0K
Cook time   : 10s
Cook date   : 2020-06-25 13:20
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :   96.0K :      12.7K :     3 : electric-fence-2.2.5-i486.tazpkg
================================================================================
